Name:		plasticfs
Version:	1.9
Release: alt1.1

Packager:	Alexey Voinov <voins@altlinux.ru>

Summary:	The Plastic file System
License:	GPL
Group:		System/Libraries
Url:		http://plasticfs.sourceforge.net

Source0:	%name-%version.tar.bz2
Patch0:		%name-1.7-alt-compile.patch

BuildPreReq:	libtool_1.4
BuildRequires: gcc-c++ groff-base groff-ps librx libstdc++-devel

%description
The Plastic File System is an LD_PRELOAD module for
manipulating what the file system looks like for programs.
This allows virtual file systems to exist in user space,
without kernel hacks or modules.

%prep
%setup -q 
%patch0 -p1 -b .compile
%set_autoconf_version 2.5
autoconf etc/configure.in > configure

%build
%set_libtool_version 1.4
%configure
%make_build

%install
mkdir -p $RPM_BUILD_ROOT
make 'INSTALL=/bin/install -pD' install

%post
/sbin/ldconfig

%preun
/sbin/ldconfig

%files 
%doc README BUILDING LICENSE MANIFEST
%_libdir/lib%name.so*
%_man1dir/*
%_man3dir/*
%_mandir/manl/*

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.9-alt1.1
- Rebuilt with libstdc++.so.6.

* Fri Sep 17 2004 Alexey Voinov <voins@altlinux.ru> 1.9-alt1
- new version (1.9)

* Thu Mar 25 2004 Alexey Voinov <voins@altlinux.ru> 1.8-alt1
- new version (1.8)

* Mon Oct 06 2003 Alexey Voinov <voins@altlinux.ru> 1.7-alt2
- build fixed

* Tue Jun 24 2003 Alexey Voinov <voins@altlinux.ru> 1.7-alt1
- new version (1.7)
- libtool, libtool2, gcc32 patches no longer needed
- compile patch updated.

* Sun Mar 02 2003 Alexey Voinov <voins@voins.program.ru> 1.5-alt2
- fixed problems with gcc-3.2.x
- BuildRequires fixed

* Sat Mar 01 2003 Alexey Voinov <voins@voins.program.ru> 1.5-alt1
- initial release

